<?php
    include("../scripts/connect.php");
    $conexion=conecta_default();

    include("../scripts/session.php");
    //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4"))
    { /*Sesion invalida*/
      header("Location: ../index.php?err=NoSesion");
    }
    else
    {
      $dato=explode("|",$_SESSION['usuario']);
      $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }//fin validar session

    date_default_timezone_set('America/Mexico_City');
    setlocale(LC_ALL,"es_ES");
  $id_cd=$sesion->id;
    
    $idprods=$_POST['prod'];
  
    $tiponota=10;
    $entre_per=$_POST['entrega_pe'];
    $inver=$_POST['idinver'];
   
    
    $tnota=$_POST['tp'];
  $cuenta=$_POST['cuentale'];
  $cuentap=$_POST['cuentalep'];
  $entrega=$_POST['cdent'];
  $efectivo=$_POST['ef'];
  $deposito=$_POST['de'];
  $tarjeta=$_POST['ta'];
  $voucher=$_POST['vo'];
  $regalias=$_POST['re'];
  echo $porpagar=$_POST['pp'];
  $cargo_tar=$_POST['tae'];
  $rfc=$_POST['rfcpr'];
  $idvouch=$_POST['vo_id'];
  $transac=$_POST['id_trans'];
  $tarjeta=$tarjeta+$cargo_tar;
  $sumpago=$efectivo+$deposito+$tarjeta+$regalias+$voucher+$porpagar;

   //echo "TipoNota: ".$tnota."|| Cuenta: ".$cuenta." || Cuentap: ".$cuentap." || new3";

   function redondear($valor)
   {
     $float_redondeado=round($valor * 100) / 100;
     return $float_redondeado;
   }


    
    
    
    
   
    echo "<center><br><font size=\"6\" color=\"#5C3C12\">Nota de venta</font><br><br>";

$hh=0;
    $ob;
    $x=0;
    $w=0;
    $reg=0;
    $reg2=0;
    $peso=0;
    $pesototal;
    $flete; 
    $prod_list=0;
    $listaCantidad[]=NULL;
    $listaNombre[]=NULL;
    $tope=$_POST["topeprom"];
    $lista=array();
    $lista_cant=array();
    $canti[]=NULL;
    $idprod[]=NULL;
    $nombreProd[]=NULL;
    global $prod_exist;

    $cuenta=$_POST['cuentale'];
    $cuentap=$_POST['cuentalep'];
    $idin = $sesion->id;
    $errorinv=false;
?>
<script language='JavaScript' src='popcalendar.js'></script>
<script language='JavaScript' src='../scripts/jquery-2.2.3.min.js'></script>
<script language='JavaScript' src='../scripts/validadorvoucher.js'></script>
<script language='JavaScript' src='../scripts/Val_2.js'></script>
<script language='JavaScript' src="../scripts/control_tipo_pago.js"></script>

<?php
  $rfc=$_POST['rfcpr'];
  $qp = "SELECT id_inver, rfc, nombre, appat, apmat ,estados_idestado FROM inversionista WHERE rfc =\"$rfc\"";
  $cp = mysql_query($qp) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp = mysql_fetch_object($cp);
  $id_dist = $rp->id_inver;	
  $rfc = $rp->rfc;	
  $localidad=$rp->estados_idestado;

  $realiza=$id_cd;
  $nombre = $rp->nombre." ".$rp->appat." ".$rp->apmat;
  
   $qa = "SELECT nombre from usuarios_ci WHERE idusuarios_ci = $realiza";
    $ca = mysql_query($qa) or die ('Error (select consec1): ' . mysql_error());
    $nrealiza = mysql_fetch_row($ca)[0]; 
     $qa = "SELECT nombre from usuarios_ci WHERE idusuarios_ci = $entrega";
    $ca = mysql_query($qa) or die ('Error (select consec2): ' . mysql_error());
    $nentrega = mysql_fetch_row($ca)[0]; 
    
    
     $qp1 = "SELECT guias.id_paq as paq, descripcion, flete, peso from guias join paqueterias on paqueterias.id_paq=guias.id_paq WHERE idtransacciones =\"$transac\"";
  $cp1 = mysql_query($qp1) or die ('Error (Registro No Encontrado): ' . mysql_error());
  $rp1 = mysql_fetch_object($cp1);
  $id_paq = $rp1->paq;	
  $paq = $rp1->descripcion;	
  $flete=$rp1->flete;
  $peso=$rp1->peso;

    
    
  
  
  $qC3 = "SELECT idreg, apagar from regs2 where id_inver=$id_dist and status=0";
  $cC3 = mysql_query($qC3) or die ('Error (Registro No Encontrado (Tabla regalias)): ' . mysql_error());
  $gtot=0; $puntos=0;
  echo"<center>";
  echo"<FORM ACTION='vta_pub3.php' method='POST' id='dataped'>";
  echo"<table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">RFC</font></td><td bgcolor=\"#CCFFCC\">$rfc</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Nombre</font></td><td bgcolor=\"#CCFFCC\">$nombre</td></tr> 
      </table><br>
      <table cellspacing=5>
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Realizo</font></td><td bgcolor=\"#CCFFCC\">$realiza $nrealiza</td></tr> 
      <tr><td bgcolor=\"#006633\"><font color=\"#FFFFFF\">Entrega</font></td><td bgcolor=\"#CCFFCC\">$entrega $nentrega</td></tr> 
      </table>
      
      
   
  <br>Contenido del pedido:
			<table border=1><tr><td>
			<table CellPadding=5>
			<tr bgcolor=\"#006633\">
        <th><font color=\"#FFFFFF\">Cant</font></th>
        <th><font color=\"#FFFFFF\">Producto</font></th>
  			<th><font color=\"#FFFFFF\">Precio</font></th>
        <th><font color=\"#FFFFFF\">Puntos</font></th>
			</tr>";
			
			
			
				$promos="SELECT nombreprod, precio, puntos FROM productos  where id_prod='$idprods'";
	
	$cal = mysql_query($promos) or die ('Error (Registro No Encontrado2): ' . mysql_error());
	while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR  bgcolor=\"#CCFFCC\"><td>1</td><td>$ral[0]</td><td>$ral[1]</td><td>$ral[2]</td></TR>";
	 $precio1+=  $ral[1];
	$puntos1+=  $ral[2];


	
	};
				echo"</table></td><td><center><b>Resumen Producto a Entregar:</b><table CellPadding=5>

			<tr bgcolor=\"#006633\"><th><font color=\"#FFFFFF\">Cant</font></th><th><font color=\"#FFFFFF\">Producto</font></th>
			<th><font color=\"#FFFFFF\">Exist</font></th>
			</tr>";

	
	$linea="SELECT  nombreProd, cantidad FROM productos join stock on stock.idprod=productos.id_prod where idcd='$entrega' and idprod='$idprods'";
	 $cal = mysql_query($linea) or die ('Error (Registro No Encontrado1): ' . mysql_error());
   while($ral = mysql_fetch_row($cal))
   {
	   echo"<TR><td>1</td><td>$ral[0]</td><td>$ral[1]</td></TR>";
	   
	


	};
	echo"</table></td></tr></table>";
	
	//--------------------------
	
	$puntos=$puntos1;
	$gtot=$precio1+$flete;
	echo"<table cellspacing=5>
			<tr bgcolor=\"#CCFFCC\">
			<td>Precio: </td>
			<td><b>$ $precio1</b></td>
      <td>Peso(Kg):</td>
      <td><b>$peso</b></td>
      <td>Flete:</td>
      <td><b>$flete</b></td>";
      if($flete>=1){echo"<td>Paq:</td>
      <td><b>$paq</b></td>";}
      
			echo"<input type='hidden' value='$gtot' id='totals'>
			<td>Puntos:</td>
			<td><b>$puntos</b></td>
			</tr>
			</table><br> Total a pagar con flete <b>$ $gtot</b><br>";
  echo"<br>";


			echo"Forma de Pago<br><table border=1><tr><td>Efectivo:</td><td>$ $efectivo</td></tr>
			<tr><td>Por Pagar</td><td>$ $porpagar</td></tr>
			<tr><td>Deposito</td><td>$ $deposito</td></tr>
			<tr><td>Tarjeta</td><td>$ $tarjeta</td></tr>
			<tr><td>Regalias</td><td>$ $regalias</td></tr>
			<tr><td>voucher</td><td>$ $voucher</td></tr>
            </table><br>";	
			
			echo "<input type=hidden name=cuentale value=$cuenta><input type=hidden name=rfcpr value=\"$rfc\">
			<input type=hidden name=cdent value=$entrega> <input type=hidden name=cuentalep value=$cuentap>
			<input type=hidden name=ef value=$efectivo>
			<input type=hidden name=de value=$deposito>
			<input type=hidden name=cdrea value=$realiza> 
			<input type=hidden name=id_trans value=$transac>
			<input type=hidden name=ta value=$tarjeta>
			<input type=hidden name=re value=$regalias>
				<input type=hidden name=tiponota value=$tiponott>
                        <input type=hidden name=vo value=$voucher>
                        <input type=hidden name=pp value=$porpagar>
			<input type=hidden name=losptos value=$puntos>
                        <input type='hidden' name='vo_id' value='$idvouch'>
			<input type=hidden name=total value='$gtot'><input type=hidden name=puntot value='$puntos'>
			 <input type='hidden' name='prod' value='$idprods'>
<input type='hidden' name='rfcpr' value='$rfc'><input type='hidden' name='cdent' value='$entrega'>";


					if($deposito>0){echo"Deposito: Banco <select name=banco>";
					  $qx2 = "SELECT * from bancos";
  
  $cx2 = mysql_query($qx2) or die ('Error en la consultasese' . mysql_error());
  
  for($i=0;$r1 = mysql_fetch_row($cx2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
$nombrebanco=$a1." ".$a2;
echo"<option value=$a0>$nombrebanco</option>";
	}			echo"</select> Referencia:<input type=\"text\" name=referencia size=\"10\" maxlength=\"10\">Fecha Deposito:<input type=\"text\" name=fecha_i size=\"8\" value=\"\">&nbsp;
			<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"><br><br>";		
					}
					if($tarjeta>0){
						echo"Autorizaci&oacute;n Tarjeta:<input type=\"text\" name=tarj size=\"5\" maxlength=\"5\"><br><br>";
					}
					echo"<br><br><font color=\"#294da7\"><b>**Favor de revisar los datos antes de continuar**</b></font><br>";
					echo"<INPUT TYPE=\"SUBMIT\" NAME='confirmap'  VALUE=\"Continuar\" >
						</FORM>	";
						
						
					echo"</body>
				</html>";

?>

